const ldap = require('ldapjs');

window.onload = function(){
  document.getElementById('loginForm').addEventListener('submit', loginForm);
};


// do stuff when login form is submitted
function loginForm(event) {
  event.preventDefault();

  var bindHost = document.forms.loginForm.ldap_host.value;
  var bindDn = document.forms.loginForm.bind_dn.value;
  var bindPw = document.forms.loginForm.bind_pw.value;

  const client = ldap.createClient({
    url: 'ldap://' + bindHost + '/'
  });

  client.bind(bindDn, bindPw, (err) => {
    if (err) {
      document.querySelector("h1").textContent = 'error';
    } else {
      document.querySelector("h1").textContent = 'Logged in!';

      localStorage.setItem('ldap_hostname', document.forms.loginForm.ldap_host.value);
      localStorage.setItem('ldap_bind_dn', document.forms.loginForm.bind_dn.value);
      localStorage.setItem('ldap_bind_pw', document.forms.loginForm.bind_pw.value);

      window.location.href = 'index.html';
    }
  });
}
